dpkg-vendor(1)

BEZEICHNUNG
dpkg-vendor - fragt Informationen über den Distributionslieferanten ab

ÜBERSICHT
dpkg-vendor [Option …] Befehl

BESCHREIBUNG
dpkg-vendor ist ein Werkzeug, um Informationen über in /usr/pkg/share/dpkg/dpkg/origins aufgeführte Lieferanten (engl. „vendor“) abzufragen. /usr/pkg/share/dpkg/dpkg/origins/default enthält Informationen über den aktuellen Lieferanten.

Die Ursprungsdateien stellen Metadaten über bestimmte Lieferanten bereit, wie ihre URL oder wo Fehler gemeldet werden sollen. Sie werden normalerweise zur Ermittlung des Verhaltens von Werkzeugen und daraus entstehenden Inhalten während des Paketbaus für einen bestimmten Lieferanten verwandt, sowie zur Beschreibung des Ursprungs von Paketen.

Pakete können ihren Lieferanten explizit durch Aufnahme des Feldes Origin erklären, andernfalls wird der Lieferant für Pakete ohne ein solches Feld als derjenige angenommen, auf den der symbolische Lieferantenlink default zeigt.

Der symbolische Link default bezeichnet auch den Ursprung der durch dpkg verwalteten aktuellen Installation. Dies kann eine vollständige Distribution oder eine Überlagerung auf einem bestehenden Basissystem sein, das entweder kein Paketierungsystem oder ein eigenes enthält.

Dieses Programm wurde in Dpkg 1.15.1 hinzugefügt.

BEFEHLE

--is Lieferant
    Beendet sich mit 0, falls der aktuelle Lieferant Lieferant ist, ansonsten mit 1.

--derives-from Lieferant
    Beendet sich mit 0, falls die aktuelle Lieferant-Distribution von Lieferant abgeleitet ist, ansonsten mit 1. Es verwendet das Feld Parent, um alle Vorfahren des aktuellen Lieferanten zu ermitteln.

--query Feld
    Gibt auf der Standardausgabe den Wert des Lieferanten-spezifischen Feldes für den aktuellen Lieferanten aus.

--help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

OPTIONEN

--vendor Lieferant
    Nimmt an, dass der aktuelle Lieferant Lieferant ist, statt ihn über die Umgebungsvariable DEB_VENDOR oder aus /usr/pkg/share/dpkg/dpkg/origins/default zu ermitteln.

UMGEBUNG

DEB_VENDOR
    Diese Einstellung definiert den aktuellen Lieferanten. Falls nicht gesetzt, wird er aus /usr/pkg/share/dpkg/dpkg/origins/default ermittelt.

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

DATEIEN

  Paketierungsunterstützung

/usr/pkg/share/dpkg/vendor.mk
    Make-Steuerdateischnipsel, das den aktuelle Lieferanten und seine Eltern in Variablen setzt und Make-Makros bereitstellt, um auf Abgeleitete zu prüfen (seit Dpkg 1.16.1).

SIEHE AUCH
deb-origin(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2025 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.